---
title: CSSSkewY
slug: Web/API/CSSSkewY
tags:
  - API
  - CSS Typed Object Model API
  - CSSSkewY
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Interface
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSSkewY</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents the <code><a href="/en-US/docs/Web/CSS/transform-function/skewY()">skewY()</a></code> value of the individual {{CSSXRef('transform')}} property in CSS. It inherits properties and methods from its parent {{domxref("CSSTransformValue")}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSSkewY.CSSSkewY()")}}</dt>
 <dd>Creates a new <code>CSSSkewY</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its ancestor</em> {{domxref("CSSTransformValue")}}.</p>

<dl>
 <dt>{{domxref('CSSSkewY.ay','ay')}}</dt>
 <dd>Returns or sets the y-axis value.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Inherits methods from its ancestor </em>{{domxref("CSSTransformValue")}}<em>.</em></p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssskewy','CSSSkewY')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSSkewY")}}</p>
